Subject: Re: IFF_PROMISC again

From: Ben Greear <[email-masked]>
Date: Tue, 22 May 2007 17:08:18 -0700

Martín Ferrari wrote:
> Hi, for the nth time I send this email, hoping that majordomo won't eat
> it again.
> 
> 
> I know this has been extensibly discussed circa 2001, but I found that
> there's still problems: in debian (at least) neither ifconfig nor ip
> can tell that the interface is in promiscuous mode.
> 
> I know about the deprecation of IFF_PROMISC, but I couldn't find out
> which is the current way of knowing the real state of the interface. I
> want to fix ifconfig, so this is not an issue of
> PACKET_(ADD|REMOVE)_MEMBERSHIP, I need to query the real device state.

I have the same problem.  I think you can tell by looking at bit 0x100
in /sys/class/net/[ethX]/flags

Not exactly fun to use, but it seems to work.

Anyone know the reasoning for masking out the PROMISC flag
in dev_get_flags() ?

Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com